hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xuefu Zhang (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-3632) Upgrade datanucleus to support JDK7
Date Thu, 18 Jul 2013 22:42:50 GMT

     [ https://issues.apache.org/jira/browse/HIVE-3632?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Xuefu Zhang updated HIVE-3632:
------------------------------

    Attachment: HIVE-3632.patch

Patch includes fix for HIVE-4858. Will rebase if it gets committed first.
                
> Upgrade datanucleus to support JDK7
> -----------------------------------
>
>                 Key: HIVE-3632
>                 URL: https://issues.apache.org/jira/browse/HIVE-3632
>             Project: Hive
>          Issue Type: Bug
>          Components: Metastore
>    Affects Versions: 0.9.1, 0.10.0
>            Reporter: Chris Drome
>            Assignee: Xuefu Zhang
>            Priority: Critical
>         Attachments: HIVE-3632.patch
>
>
> I found serious problems with datanucleus code when using JDK7, resulting in some sort
of exception being thrown when datanucleus code is entered.
> I tried source=1.7, target=1.7 with JDK7 as well as source=1.6, target=1.6 with JDK7
and there was no visible difference in that the same unit tests failed.
> I tried upgrading datanucleus to 3.0.1, as per HIVE-2084.patch, which did not fix the
failing tests.
> I tried upgrading datanucleus to 3.1-release, as per the advise of http://www.datanucleus.org/servlet/jira/browse/NUCENHANCER-86,
which suggests using ASMv4 will allow datanucleus to work with JDK7. I was not successful
with this either.
> I tried upgrading datanucleus to 3.1.2. I was not successful with this either.
> Regarding datanucleus support for JDK7+, there is the following JIRA
> http://www.datanucleus.org/servlet/jira/browse/NUCENHANCER-81
> which suggests that they don't plan to actively support JDK7+ bytecode any time soon.
> I also tested the following JVM parameters found on
> http://veerasundar.com/blog/2012/01/java-lang-verifyerror-expecting-a-stackmap-frame-at-branch-target-jdk-7/
> with no success either.
> This will become a more serious problem as people move to newer JVMs. If there are other
who have solved this issue, please post how this was done. Otherwise, it is a topic that I
would like to raise for discussion.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message